* {
    box-sizing: border-box;
}

body {
    min-height: 100vh;
}

.box-size {
    width: 300px;
    height: 300px;
}

.animation {
    animation-duration: 15s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    transition: preserve-3d;
}

.position {
    position: absolute;
    top: 40%;
    right: 50%;
    left: 40%;
    bottom: 50%;
}

.box_animate {
    border: solid;
    min-height: 100vh;
    margin: 5px;

}

.box_animate_rotate {
    position: relative;
    min-height: 100vh;
    animation-name: test;
}


.box_animate_moveFront {
    background: blue;
    animation-name: test1;
}

.box_animate_moveBack {

    background: red;
    animation-name: test2;
    animation-direction: reverse;
}

.box_animate_moveFront::before{
    content: " ";
    position: absolute;
    width: inherit;
    height: inherit;
    top: 0;
    left: 0;
    transform: translateZ(-1px);
    background: inherit;
}

.box_animate_moveBack::after{
    content: " ";
    position: absolute;
    width: inherit;
    height: inherit;
    top: 0;
    left: 0;
    transform: translateZ(1px);
    background: inherit;
}

@keyframes test {

    from {
        transform: rotateY(0);
    }

    to {
        transform: rotateY(360deg);

    }

}

@keyframes test1 {

    from {
        transform: rotateZ(0);
    }

    to {
        transform: rotateZ(360deg);

    }

}

@keyframes test2 {

    from {
        transform: rotateZ(0;
    }

    to {
        transform: rotateZ(360deg);

    }

}